package com.ruoyi.system.domain;

import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.utils.json.CustomDateDeserializer;

public class SysRealtimeNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "ID", cellType = ColumnType.NUMERIC)
    private Long id;

    @Excel(name = "动态标题")
    @NotBlank(message = "动态标题不能为空")
    private String title;

    @Excel(name = "简介")
    private String summary;

    @Excel(name = "封面图片")
    private String coverImage;

    @Excel(name = "发布时间")
    @NotNull(message = "发布时间不能为空")
    private Date publishTime;

    @Excel(name = "中文内容")
    private String contentCn;

    @Excel(name = "英文内容")
    private String contentEn;

    @Excel(name = "是否置顶", readConverterExp = "0=否,1=是")
    private String isTop;

    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getSummary()
    {
        return summary;
    }

    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getCoverImage()
    {
        return coverImage;
    }

    public void setCoverImage(String coverImage)
    {
        this.coverImage = coverImage;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }

    public String getContentCn()
    {
        return contentCn;
    }

    public void setContentCn(String contentCn)
    {
        this.contentCn = contentCn;
    }

    public String getContentEn()
    {
        return contentEn;
    }

    public void setContentEn(String contentEn)
    {
        this.contentEn = contentEn;
    }

    public String getIsTop()
    {
        return isTop;
    }

    public void setIsTop(String isTop)
    {
        this.isTop = isTop;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("summary", getSummary())
            .append("coverImage", getCoverImage())
            .append("publishTime", getPublishTime())
            .append("contentCn", getContentCn())
            .append("contentEn", getContentEn())
            .append("isTop", getIsTop())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
